| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/directx/directdetection.h File Reference

DirectDraw device enumeration. More...

`#include "csextern_dx.h"`
`#include "csutil/array.h"`
`#include <windows.h>`
`#include <ddraw.h>`

Go to the source code of this file.

## Classes
class | DirectDetection
| Master class of the device detection of direct3d and directdraw. More...
class | DirectDetectionDevice
| Description of DirectDraw device. More...

## Detailed Description

DirectDraw device enumeration.

Definition in file directdetection.h.